package at.jku.students.textsearch;

import java.util.Arrays;
import java.util.Locale;

import at.jku.ssw.list.List;
import at.jku.ssw.list.impl.LinkedList;
import at.jku.ssw.textsearch.TextSearcher;

public class BoyerMooreSearcher extends TextSearcher {

	/**
	 * Returns a list of all start positions where the <code>pattern</code>
	 * occurs in the <code>text</code>.
	 * 
	 * <ul>
	 * <li>If <code>matchCase</code> is true, matching is done case sensitive.
	 * <li>If <code>wholeWordOnly</code> is true, a match counts only if the
	 * pattern is found as a whole word, otherwise matches inside of words also
	 * count.
	 * </ul>
	 * 
	 * @return a {@link List} of <code>int</code>.
	 * @throws IllegalArgumentException
	 *             if the pattern is empty.
	 */
	@Override
	public List findMatches(String text, String pattern, boolean matchCase, boolean wholeWordOnly) {
		// TODO
		List matches = new LinkedList();
		return matches;
	}

}
